/**
 * @file
 * Defines the behavior of the Special Theme.
 */

(function ($) {
  Drupal.behaviors.visuallyImpairedTheme = {
    attach: function (context, settings) {

    $('.a-fontsize-small').click(function () {
      $('body').css('fontSize', '100%');
      $('body').addClass('fontsize-small');
      $('body').removeClass('fontsize-normal');
      $('body').removeClass('fontsize-big');
      $.cookie('visually_impaired_fontsize','fontsize-small', {expires: 30, path: '/'});
    });

    $('.a-fontsize-normal').click(function () {
      $('body').css('fontSize', '120%');
      $('body').removeClass('fontsize-small');
      $('body').addClass('fontsize-normal');
      $('body').removeClass('fontsize-big');
      $.cookie('visually_impaired_fontsize','fontsize-normal', {expires: 30, path: '/'});
    });

    $('.a-fontsize-big').click(function () {
      $('body').css('fontSize', '150%');
      $('body').removeClass('fontsize-small');
      $('body').removeClass('fontsize-normal');
      $('body').addClass('fontsize-big');
      $.cookie('visually_impaired_fontsize','fontsize-big', {expires: 30, path: '/'});
    });

/***********************************************************************/

    $('.a-color1').click(function () {
      $('body').css('backgroundColor', '#fff');
      $('body').css('color', '#000');
      $('a').each(function() {
        $( this ).not('#toolbar a').css('color','#309');
      });
      $('body').addClass('color1');
      $('body').removeClass('color2');
      $('body').removeClass('color3');
      $.cookie('visually_impaired_color','color1', {expires: 30, path: '/'});
    });

    $('.a-color2').click(function () {
      $('body').css('backgroundColor', '#000');
      $('body').css('color', '#fff');  
      $('a').each(function() {
        $( this ).not('#toolbar a').css('color','#fff');
      });
      $('body').removeClass('color1');
      $('body').addClass('color2');
      $('body').removeClass('color3');
      $.cookie('visually_impaired_color','color2', {expires: 30, path: '/'});
    });

    $('.a-color3').click(function () {
      $('body').css('backgroundColor', '#9dd1ff');
      $('body').css('color', '#063462');  
      $('a').each(function() {
        $( this ).not('#toolbar a').css('color','#309');
      });  
      $('body').removeClass('color1');
      $('body').removeClass('color2');
      $('body').addClass('color3');
      $.cookie('visually_impaired_color','color3', {expires: 30, path: '/'});
    });

/***********************************************************************/

    $('.a-imgcolor').click(function () {
      $('img').each(function() {
        $( this ).removeClass('img-grayscale');
        $( this ).removeAttr('style');
      });  
      $('body').addClass('imgcolor');
      $('body').removeClass('imggray');
      $('body').removeClass('imgnone');
      $.cookie('visually_impaired_images','imgcolor', {expires: 30, path: '/'});
    });

    $('.a-imggray').click(function () {
      $('img').each(function() {
        $( this ).addClass('img-grayscale');
        $( this ).removeAttr('style');
      });    
      $('body').removeClass('imgcolor');
      $('body').addClass('imggray');
      $('body').removeClass('imgnone');
      $.cookie('visually_impaired_images','imggray', {expires: 30, path: '/'});
    });

    $('.a-imgnone').click(function () {
      $('img').each(function() {
        $( this ).css('display', 'none');
      });  
      $('body').removeClass('imgcolor');
      $('body').removeClass('imggray');
      $('body').addClass('imgnone');  
      $.cookie('visually_impaired_images','imgnone', {expires: 30, path: '/'});
    });

/***********************************************************************/

    $('.a-kernstd').click(function () {
      $('body').css('letterSpacing', 'normal');
      $('.access').css('letterSpacing', 'normal');
      $('#toolbar').css('letterSpacing', 'normal');
      $('body').addClass('kernstd');
      $('body').removeClass('kernmid');
      $('body').removeClass('kernbig');
      $.cookie('visually_impaired_kerning','kernstd', {expires: 30, path: '/'});
    });

    $('.a-kernmid').click(function () {
      $('body').css('letterSpacing', '2px');
      $('.access').css('letterSpacing', 'normal');
      $('#toolbar').css('letterSpacing', 'normal');
      $('body').removeClass('kernstd');
      $('body').addClass('kernmid');
      $('body').removeClass('kernbig');
      $.cookie('visually_impaired_kerning','kernmid', {expires: 30, path: '/'});
    });

    $('.a-kernbig').click(function () {
      $('body').css('letterSpacing', '4px');
      $('.access').css('letterSpacing', 'normal');
      $('#toolbar').css('letterSpacing', 'normal');
      $('body').removeClass('kernstd');
      $('body').removeClass('kernmid');
      $('body').addClass('kernbig');
      $.cookie('visually_impaired_kerning','kernbig', {expires: 30, path: '/'});
    });

/***********************************************************************/

    /* on document ready */
    $('.access', context).once(function () {
      if ( $.cookie('visually_impaired') == 'on' ) {

        if ( $('body').hasClass('toolbar') ) {
          $(this).css('top', '65px');
        }

        switch ( $.cookie('visually_impaired_fontsize')) {
          case 'fontsize-small': $('.a-fontsize-small').click(); break;
          case 'fontsize-normal': $('.a-fontsize-normal').click(); break;
          case 'fontsize-big':   $('.a-fontsize-big').click(); break;
        }

        switch ( $.cookie('visually_impaired_color')) {
          case 'color1': $('.a-color1').click(); break;
          case 'color2': $('.a-color2').click(); break;
          case 'color3': $('.a-color3').click(); break;
        }

        switch ( $.cookie('visually_impaired_images')) {
          case 'imgcolor': $('.a-imgcolor').click(); break;
          case 'imggray': $('.a-imggray').click(); break;
          case 'imgnone': $('.a-imgnone').click(); break;
        }

        switch ( $.cookie('visually_impaired_kerning')) {
          case 'kernstd': $('.a-kernstd').click(); break;
          case 'kernmid': $('.a-kernmid').click(); break;
          case 'kernbig': $('.a-kernbig').click(); break;
        }
        
      }
    });
      
  }};
})(jQuery);