<?php

/**
 * Implements hook_preprocess_html().
 */
function visually_impaired_theme_preprocess_html(&$variables) {
  // Add main style.css
  drupal_add_css(drupal_get_path('theme', 'visually_impaired_theme') . '/css/style.css');
  
  // Path to files directory on server
  $filesPath = drupal_realpath('public://');
  // Path to visually_impaired_theme directory
  $vitPath = $filesPath . '/visually_impaired_theme';
  // Path to custom.css
  $customCSS = $vitPath . '/custom.css';

  // If directory not found, create it
  if (! is_dir($vitPath)) {
    mkdir($vitPath);
  }

  // If custom.css not exists, create it
  if (! file_exists($customCSS)) {
    touch($customCSS);
  }

  // Add custom.css
  drupal_add_css(variable_get('file_public_path') . '/visually_impaired_theme/custom.css');
}